Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512641 - Cloudforms: majority of OpenStack quotas are missing
Summary: Cloudforms: majority of OpenStack quotas are missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Richard Su
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1504576
Blocks: 1515488
TreeView+ depends on / blocked
 
Reported: 2017-11-13 18:27 UTC by Richard Su
Modified: 2018-06-21 20:32 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1504576
: 1515488 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:32:52 UTC
Category: Bug
Cloudforms Team: Openstack


Attachments (Terms of Use)

Comment 2 Richard Su 2017-11-14 23:46:30 UTC
There isn't an uuid for quotas. The tenant_id was being set as the ems_ref column, and is not unique. ems_ref needs to be [tenant_id, quota name].

Comment 3 Richard Su 2017-11-20 21:16:50 UTC
Fix merged: https://github.com/ManageIQ/manageiq-providers-openstack/pull/159


Note You need to log in before you can comment on or make changes to this bug.